Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.reporters
Enum PrintStreamOutput.Format

    java.lang.Object
      java.lang.Enum<PrintStreamOutput.Format>
          org.jbehave.core.reporters.PrintStreamOutput.Format

All Implemented Interfaces:
  Serializable, Comparable<PrintStreamOutput.Format>

Enclosing class:
  PrintStreamOutput

    public static enum PrintStreamOutput.Format

extends Enum<PrintStreamOutput.Format>

Enum Constant Summary
`HTML`
`TXT`
`XML`

Method Summary
`static PrintStreamOutput.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrintStreamOutput.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TXT

    public static final PrintStreamOutput.Format TXT

### HTML

    public static final PrintStreamOutput.Format HTML

### XML

    public static final PrintStreamOutput.Format XML

Method Detail

### values

    public static PrintStreamOutput.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrintStreamOutput.Format c : PrintStreamOutput.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrintStreamOutput.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.